default_target: all

.PHONY : default_target

FILENAME=main

CC=/usr/bin/c++
CFLAGS=-Wall -g -std=gnu++11

GREEN=\033[01;32m
RESET=\033[00m
#===========================

all: clean build test clean

build: ${FILENAME}.o
	@echo "${GREEN}Linking CXX executable${RESET}"
	$(CC) ${FILENAME}.o -o ${FILENAME}

main.o:
	@echo "${GREEN}Building CXX object${RESET}"
	$(CC) $(CFLAGS) -c ${FILENAME}.cpp -o ${FILENAME}.o

test:
	@echo "${GREEN}Testing program${RESET}"
	./${FILENAME} <input.txt

clean:
	@echo "${GREEN}Clean project${RESET}"
	rm -f *.o ${FILENAME}

